html, body {
    height: 100%;
}

.vip_user-img img {
    width: 50px;
    height: 50px;
    border-radius: 50%;
}

.vip-join-card {
    text-align: center;
    box-shadow: 0 8px 16px 0 #80808026;
    width: 337px;
    margin: 20px 0;
    background: white;
    position: relative;
    padding: 0 15px;
    border-radius: 10px;
    border: none;
}

.vip-join-card-right > span {
    margin-right: 10px;
    color: #f7d189;
    margin-left: 10px;
}

.vip-join-card .vip-join-card-right {
    text-align: left;
    font-size: 15px;
    margin-bottom: 15px;
    margin-top: 15px;
    margin-left: 18px;
}

.vip-join-card .open-vip {
    top: 192px;
    position: absolute;
    text-align: center;
    width: calc(100% - 30px);
}

.vip-join-card .open-button {
    width: 130px;
    height: 50px;
    display: inline-block;
    border-radius: 999px;
    font-size: 18px;
    margin-bottom: 10px;
    line-height: 50px;
    background: #ffffff;
    color: #2f2f30;
    cursor: pointer;
    border: 1px solid #2f2f30;
}

.vip-join-card .open-button-fan {
    background: #2f2f30;
    color: white;
    border-color: white
}

.vip-join-card .open-button:hover {
    background: #2f2f30;
    color: white;
}

.vip-join-card .open-button-fan:hover {
    background: white;
    color: #2f2f30;
}

.privilege div,
.privilege span {
    padding: 10px;
}

.privilege img {
    height: 20px;
    padding-right: 5px;
}

.book-show {
    width: 384px;
    background: white;
    box-shadow: 0 8px 16px 0 #00000014;
    transition: all .5s;
}

.book-show:hover {
    transform: translateY(-10px);
}

.book-show .img-right {
    display: inline-block;
    position: relative;
    width: 130px;
    margin-right: 10px;
}

.book-show .img-content {
    display: inline-block;
    vertical-align: middle;
}

.book-show .book-name {
    margin-top: 10px;
}

.book-show .vip-save {
    padding: 6px 12px;
    border: 1px solid #FDBD92;
    background-color: #FBE5D6;
    color: grey;
    border-radius: 15px;
    display: inline-block;
}

.book-show .book-price {
    color: red;
}

.book-show .old-price {
    color: grey;
    font-size: 12px;
}

.book-show .old-price {
    color: grey;
    font-size: 12px;
}

.book-show .old-price {
    color: grey;
    font-size: 12px;
}

.button-glod {
    padding: 0 33px;
    line-height: 35px;
    font-size: 15px;
    color: #292929;
    border-radius: 25px;
    background-image: linear-gradient(90deg, #f9b54d, #ffaa29);
    border: none;
}

.w-1200.book-shows {
    height: 200px;
    display: flex;
    justify-content: space-between;
    margin-top: 20px;
}

.book-show-item {
    padding: 25px 17px;
    margin-top: 10px;
    background: white;
}

.book-show-item-content {
    cursor: pointer;
}

.privilege span:hover {
    color: #ffaa29;
    cursor: default
}

.cards {
    background: #f8f9fa
}

.card {
    border: none;
    box-shadow: none;
    padding: 8px 2px;
    background: white;
}

.card:hover img {
    transition: 1.5s;
    transform: scale(1.1);
}

.card > img {
    margin-bottom: 8px;
}

.card-content {
    white-space: nowrap;
    text-overflow: ellipsis;
}

#vip-content .col-md-12 {
    padding: 20px 0 5px 0;

}

.img-go {
    color: white;
    text-align: center;
    right: 20px;
    position: absolute;
    bottom: 10px;
    height: 34px;
    width: 130px;
    display: inline-block;
}

.img-go:hover {
    background-image: linear-gradient(90deg, #f9ab1f, #ff9500);
    text-decoration: none;
    color: white;
}

.privilege div span {
    float: left;
    text-align: left;
    width: 190px;
}

.vip-info-content a {
    text-decoration: none;
    color: white;
}

.vip-info-content a:hover {
    text-decoration: none;
    color: white;
}

.vip-info-content a:focus {
    text-decoration: none;
    color: white;
}

.vip-color, .vip-color:hover {
    color: #ffaa29
}


.more-power a, .more-power i {
    color: #cccccc;
}

.w-1200 {
    width: 1200px;
    margin: 0 auto;
}

.col2 {
    width: 200px;
}

.col3 {
    width: 200px;
}


.vip-quanyi-class {
    margin: 0 auto;
    width: 1200px;

    float: none;
    clear: both;
    color: #636e7b;
    padding: 0 !important;
}

.class-info-table-title {
    font-weight: 700;
    background: white;
    padding: 17px 8px;
}


.table > thead > tr th.my-th {
    padding: 0;
    border-bottom: none;
    background: #fafafa;
    color: #636e7b;

}

th.my-th span {
    font-size: 18px;
    line-height: 50px;
    display: block;
    padding: 6px;
    color: black
}


.vip-join-card .vip-join-title {
    font-size: 25px;
    line-height: 30px;
    margin-bottom: 20px;
    margin-top: 30px;
}

.vip-join-card .vip-join-title-sub {
    margin-top: 6px;
    margin-bottom: 25px;
    font-size: 18px;
}

.vip-join-price {
    font-size: 18px;
    height: 70px;
    line-height: 70px;

}

.vip-join-price .vip-join-price-italic {
    font-size: 32px;
    line-height: 40px;
    font-style: italic;
}

.vip-join-price-del {
    font-size: 23px;
}

.vip-quanyi td:nth-child(2), .vip-quanyi td:nth-child(3), .vip-quanyi td:nth-child(4),
.vip-quanyi th:nth-child(2), .vip-quanyi th:nth-child(3), .vip-quanyi th:nth-child(4) {
    width: 200px;
}

.vip-quanyi-info {
    font-size: 12px;
    color: #b3b3b3;
}

.td-checked {
    color: #64b6f7;
}

.warn-tip {
    background: white;
    vertical-align: middle;
    color: #2f2f30;
    padding: 0 6px;
    border-radius: 100px;
    font-size: 12px;
    line-height: 15px;
    margin: 0;
    display: inline-block;
    transform: scale(0.66, 0.66);
    margin-top: -3px;
    margin-left: -7px;
}

.tooltip.in {
    opacity: 1;
}

.tooltip.top .tooltip-arrow {
    border-top-color: white;
}

.tooltip.bottom .tooltip-arrow {
    border-bottom-color: white;
}

.tooltip.left .tooltip-arrow {
    border-left-color: white;
}

.tooltip.right .tooltip-arrow {
    border-right-color: white;
}

.tooltip-inner {
    background-color: white;
    text-align: justify;
    color: #141414;
    border-radius: 0;
    box-shadow: 0 8px 16px 1px #00000014;
    padding: 8px;
}

.vip-quanyi-div {
    margin: 0 auto;
    width: 1200px;
    box-shadow: 0 11px 16px 0 #00000014;
    padding: 20px 0 0;
    float: none;
    clear: both;
    color: #636e7b;
}

.vip-quanyi-class .table:nth-child(2) {
    border: none;
}

table.class-info-table tbody:hover,
table.vip-quanyi tbody tr:hover {
    transform: translate3d(0, 0, 0);
    box-shadow: 0 0 5px rgb(0 0 0 / 18%);
    background: white;
}

table.class-info-table > tbody + tbody {
    border: none;
}

table.class-info-table tbody td,
table.vip-quanyi tbody td {
    vertical-align: middle;
}

.table-bordered th, .table-bordered td {
    border: 1px solid #ddd;
}

.w-1200 {
    width: 1200px;
    margin: 30px auto;
}

#home-slider .slider-bg {
    height: 430px;
}

.slider-bg .swiper-slide {
    background-position: center !important;
    background-size: cover !important;;
    position: relative;
}

.slider-bg .swiper-slide .content {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    font-size: 41px;
    color: #cea773;
    -webkit-text-stroke: 1px #ffffff99;
    width: fit-content;
    line-height: normal;
}

.slider-bg .swiper-container {
    height: 100%;
    width: 100%;
}

.pricing-comparison-table {
    display: flex;
    justify-content: space-between;
    margin-bottom: 50px;
}

.pricing-card {
    background: white;
    position: relative;
    display: flex;
    flex-direction: column;
    min-width: 29%;
    margin: 40px 20px;
    padding: 20px 20px 40px 20px;
    border-radius: 12px;
    box-shadow: 0 1px 0 1px #fcfcff, 0 8px 12px 0 rgb(61 75 108 / 16%);
    box-shadow: 0 8px 12px 0 rgb(61 75 108 / 16%);
    /*overflow: hidden;*/
}

.pricing-card-provip {
    box-shadow: 0 1px 0 1px #f4a23800, 0 8px 12px 7px rgb(243 162 58 / 20%);
    background: #faf8f6;
}

.pricing-card-tip {
    position: absolute;
    background-image: linear-gradient(180deg, #edd5b5, #c99150);
    transform: rotate(-45deg);
    color: white;
    width: 125px;
    text-align: center;
    line-height: 28px;
    font-size: 16px;
    left: -30px;
    top: 20px;
}

.pricing-card-content {
    display: flex;
    width: 100%;
    -webkit-flex-direction: column;
    flex: 1;
}

.pricing-card-title {
    font-size: 25px;
    line-height: 30px;
    margin-bottom: 20px;
    margin-top: 30px;
    text-align: center;
}

.pricing-change-container {
    text-align: center;
}

.pricing-details-list {
    margin-bottom: 20px;
}

.pricing-list-item {
    font-size: 18px;
    line-height: 45px;
}

.pricing-list-item:before {
    content: ' ';
    width: 8px;
    height: 8px;
    background: black;
    display: inline-block;
    border-radius: 100%;
    vertical-align: middle;
    margin-right: 10px;
    margin-left: 20px;
}

.pricing-list-item .pricing-list-item-line {
    display: inline-block;
    position: relative;

}

.pricing-list-item .pricing-list-item-line:before {
    content: ' ';
    position: absolute;
    width: 100%;
    height: 5px;
    background: #f65d57;
    bottom: 10px;
}

.pricing-list-item .pricing-list-item-line span {
    display: inline-block;
    transform: rotate(0);
}

.pricing-cta-wrap {
    margin-top: auto;
}

#vip-content-main .pricing-button {
    display: flex;
    min-height: 58px;
    width: 260px;
    align-items: center;
    border-radius: 14px;
    transition: transform .2s, box-shadow .2s, -webkit-transform .2s;
    color: #fff;
    font-size: 20px;
    cursor: pointer;
    justify-content: center;
    margin: 0 auto;
    line-height: 100%;
    background: #e79936;
    box-shadow: 0 0 7px #e79936;
}

#vip-content-main .pricing-button:hover {
    transform: translate(0, 1px);
    background: #eaa144;
}

#vip-content-main .pricing-button-banner {
    background: #e79936;
    box-shadow: 0 1px 0 1px #e79936;
    min-height: 30px;
    font-size: 14px;
    width: 120px;
}

.pricing-button-banner:hover {
    background: #eaa144;
}

.provip-right {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    margin-bottom: 10px;
    margin-top: 10px;
}

.right-flex-content {
    text-align: center;
    width: 16.666666%;
    padding: 5px 0px;
}


.right-content {
    width: 200px;
    padding: 35px 0;
    margin: 0 auto;
}

.right-img-content {
    position: relative
}

.right-center-text {
    color: white;
    position: absolute;
}

.right-img {
    width: 80px;
    height: 80px;
    transition: all .5s
}

.right-img:hover {
    transform: translateY(-10px);
}

.right-img-div {
    display: inline-block;
}

.right-name {
    height: 18px;
    font-size: 16px;
    margin-top: 23px;
    margin-bottom: 9px;
    text-align: center;
    line-height: 18px;
    color: #0e0517;
}

.sticky-tr {
    position: sticky;
    top: 60px;
    margin-bottom: -45px;
    text-align: right;
    width: 100%;
    animation-duration: .5s;
    animation-fill-mode: forwards;
    z-index: 9;
}

.sticky-tr .sticky-content {
    display: inline-block;
    height: 36px;
    animation-duration: .5s;
    overflow: hidden;
    animation-fill-mode: forwards;
    font-size: 0;
}

.sticky-tr .my-th {
    display: inline-block;
    padding: 8px;
    font-size: 18px;
    text-align: center;
    vertical-align: top;
}

/* 动画代码 */
@keyframes hideButton {
    from {
        height: 95px;
        box-shadow: 0 12px 20px -6px rgb(34 33 81 / 8%);
        background: white;

    }
    to {
        height: 36px;
        box-shadow: none;
        background: none;
    }
}

/* 动画代码 */
@keyframes showButton {
    from {
        height: 36px;
        box-shadow: none;
        background: none;
    }
    to {
        height: 95px;
        box-shadow: 0 12px 20px -6px rgb(34 33 81 / 8%);
        background: white;
    }
}

/* 动画代码 */
@keyframes hideSticky {
    from {
        height: 60px;
    }
    to {
        height: 3px;
    }
}

/* 动画代码 */
@keyframes showSticky {
    from {
        height: 3px;
    }
    to {
        height: 60px;
    }
}

#vip-content-main .my-th .pricing-button {
    padding: 13px 4px 10px 4px;
    display: block;
    min-height: auto;
    margin: 10px auto;
    width: 100px;
    border-radius: 6px;
    font-size: 16px;
}

.class-info-table, .vip-quanyi-class th,
.vip-quanyi-class td,
.vip-quanyi-class tbody {
    border: none !important;
}

table.table.w-1200.table-bordered.class-info-table td {
    font-size: 15px;
    line-height: 50px;
}

table.table.w-1200.table-bordered.class-info-table td:nth-child(1) {
    font-size: 18px;
    padding-left: 20px;
}

i.icon.icon-check-circle {
    font-size: 25px;
    vertical-align: sub;
    color: #e79936;
    line-height: 21px;
    box-shadow: 0 0 7px #e79936;
    width: 20px;
    height: 20px;
    display: inline-block;
    border-radius: 100%;
}

.icon-check-circle-tip {
    font-size: 14px;
    margin-top: -9px;
    line-height: 0;
}

.vip-quanyi-class th:nth-child(n+2),
.vip-quanyi-class td:nth-child(n+2) {
    text-align: center;
}

.sticky-tr .my-th, .vip-quanyi-class th:nth-child(n+2),
.vip-quanyi-class td:nth-child(n+2) {
    width: 200px;
}

.vip-quanyi-class tbody:nth-child(even) {
    background: white;
}

.vip-quanyi-class tbody:nth-child(odd) {
    background: #FAFAFA;
}

.moretr tr:nth-child(even) {
    background: white;
}

.vipfaq {
    margin-top: 50px;
    padding-top: 65px;
}

.vipfaq_column1 {
    width: 47%;
    display: inline-block;
    position: sticky;
    top: 70px;
    font-size: 30px;
    line-height: normal;
    font-weight: 600;
    padding-left: 20px;
}

.vipfaq_column2 {
    width: 53%;
    float: right;
}

.vipfaq_card {
    border-bottom: solid 1.25px rgb(240, 241, 245);
    padding-bottom: 22px;
    margin-bottom: 36px;
}

.vipfaq_heading {
    font-size: 22px;
    margin-top: 10px;
    margin-bottom: 10px;
    color: rgb(16, 30, 40);
}

.vipfaq_paragraph {
    margin: 0 0 10px;
    font-size: 16px;
}

.sale-vip {
    font-size: 15px;
    text-align: center;
    height: 22px;
    margin-top: -15px;
    margin-bottom: 10px;
}

.vip-join-price-red {
    color: #f65d57;
}

.vip-join-price-bg-red {
    background-image: linear-gradient(180deg, #ff1f1f, #ff7878);
}

.vip-user-info {
    position: absolute;
    top: 190px;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 20px;
}

.vip-user-info-img {
    border-radius: 99px;
    width: 70px;
    height: 70px;
    border: 2px white solid;
}

.vip-user-info-name {
    font-size: 16px;
}

/*每月会员福利模块*/
#home-ticket-slider {
    height: 400px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #f0e1d64f;
}

.month-right-swiper {
    min-width: 210px;
    overflow: hidden;
}

#home-ticket-slider .swiper-slide {
    width: 210px;
}

.swiper-slide-single {
    background: white;
    padding-bottom: 1px;
}

.ticket-img {
    border-radius: 10px;
    height: 250px;
    background-position: center;
    background-repeat: no-repeat;
}

.ticket-get {
    background: orange;
    color: white;
    cursor: pointer;
    margin: 10px auto;
    padding: 5px;
    width: 150px;
}

.ticket-get.ticket-get-disabled {
    background: gray;
    color: white;
}

#home-ticket-slider .swiper-pagination-bullet {
    background: white;
    opacity: 1;
    border: 1px solid #B0AEAD;
}

#home-ticket-slider .swiper-pagination-bullet.swiper-pagination-bullet-active {
    background: #FFD966;
    border: 4px solid #FFF2CC;
    width: 18px;
    height: 18px;
}

.swiper-button-right {
    background: #F8CBAD;
    width: 25px;
    height: 25px;
    display: flex;
    border-radius: 999px;
    align-items: center;
    justify-content: center;
    color: white;
    margin: 20px;
    cursor: pointer;
}

.swiper-button-right i {
    font-size: 22px;
}